The patch enables a working RTSP authentication with the Darwin streaming server (DSS).

When the VLC is compiled against Live555 streaming media library (live.2008.09.02), the
authentication fails when both username and password are asked via a VLC dialog as the
DSS requires authorization also for SETUP, PLAY, and TEARDOWN commands and the necessary
information isn't delivered correctly to the Live555 library.

vanilla-dialog.log: FAIL (vlc rtsp://localhost/sample_h264_1mbit.mp4)
vanilla.log:        OK   (vlc rtsp://foo:bar@localhost/sample_h264_1mbit.mp4)

patched-dialog.log: OK   (vlc rtsp://localhost/sample_h264_1mbit.mp4)
patched.log:        OK   (vlc rtsp://foo:bar@localhost/sample_h264_1mbit.mp4)

Signed-off-by: Rolf Ahrenberg <Rolf.Ahrenberg@saunalahti.fi>

--- modules/demux/live555.cpp.orig	2008-10-29 18:03:43.000000000 +0200
+++ modules/demux/live555.cpp	2008-10-29 18:03:50.000000000 +0200
@@ -555,7 +555,7 @@
         p_sys->b_get_param = strstr( psz_options, "GET_PARAMETER" ) ? true : false ;
     delete [] psz_options;
 
-    p_sdp = p_sys->rtsp->describeURL( psz_url, &authenticator,
+    p_sdp = p_sys->rtsp->describeWithPassword( psz_url, (const char*)psz_user, (const char*)psz_pwd,
                          var_GetBool( p_demux, "rtsp-kasenna" ) );
     if( p_sdp == NULL )
     {
